Subject: Re: bug#16820: 24.3; nxml comment block indentation issue

From: Stefan Kangas <[email-masked]>
Date: Thu, 1 Oct 2020 05:12:25 -0700

tags 16820 + wontfix notabug
close 16820
thanks

Stefan Kangas <[email-masked]> writes:

> Nate Eagleson <[email-masked]> writes:
>
>> nxml-mode indents multiple lines in a comment block to match the
>> preceding line's indentation, even for blank lines. It should ignore
>> blank lines when determining indent level.
> [...]
>>
>> To reproduce:
>>
>> Start emacs with -Q.
>>
>> Create a new buffer.
>>
>> Start XML mode: M-x xml-mode
>>
>> Enter the following text:
>>
>> <test>
>>  <!-- This is a comment.
>>
>> This is the next paragraph in the comment.
>> -->
>> </test>
>>
>> Put the cursor before '-->' and press Tab. It will indent to the same
>> level as '<!--'.
>>
>> Put the cursor before 'This is the next paragraph in the comment' and
>> press Tab. Nothing will happen.
>>
>> Move up one line to the blank line. Press spacebar twice.
>>
>> Move back down a line. Press Tab. The second line will now indent as
>> expected.
>
> I can reproduce this, but I'm not sure this is a bug.  Why shouldn't it
> take blank lines into consideration?

More information was requested, but none was given within 7 weeks, so
I'm closing this bug.